Package org.h2.command.dml

# Class ScriptCommand

java.lang.Object
org.h2.command.Prepared
org.h2.command.dml.ScriptCommand

public class ScriptCommand extends Prepared
This class represents the statement SCRIPT

## Field Summary

Fields
Modifier and Type
Field
Description
`protected OutputStream`
`out`
The output stream.
`protected BufferedReader`
`reader`
The input reader.

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

## Constructor Summary

Constructors
Constructor
Description
`ScriptCommand(SessionLocal session)`

## Method Summary

Modifier and Type
Method
Description
`static InputStream`
`combineBlob(Connection conn, int id)`
Combine a BLOB.
`static Reader`
`combineClob(Connection conn, int id)`
Combine a CLOB.
`protected String`
`getFileName()`
`int`
`getType()`
Get the command type as defined in CommandInterface
`boolean`
`isQuery()`
Check if this object is a query.
`boolean`
`isTransactional()`
Check if this command is transactional.
`boolean`
`needRecompile()`
Check if the statement needs to be re-compiled.
`ResultInterface`
`query(long maxrows)`
Execute the query.
`ResultInterface`
`queryMeta()`
Get an empty result set containing the metadata.
`void`
`setCharset(Charset charset)`
`void`
`setCipher(String c)`
`void`
`setCompressionAlgorithm(String algorithm)`
`void`
`setData(boolean data)`
`void`
`setDrop(boolean drop)`
`void`
`setFileNameExpr(Expression file)`
`void`
`setLobBlockSize(long blockSize)`
`void`
`setPassword(Expression password)`
`void`
`setPasswords(boolean passwords)`
`void`
`setSchemaNames(Set<String> schemaNames)`
`void`
`setSettings(boolean settings)`
`void`
`setSimple(boolean simple)`
`void`
`setTables(Collection<Table> tables)`
`void`
`setVersion(boolean version)`
`void`
`setWithColumns(boolean withColumns)`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCurrentRowNumber, getDatabase, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, invalidateCachedResult, isCacheable, isReadOnly, isRetryable, isWithParamValues, prepare, setCommand, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### out

protected OutputStream out
The output stream.

### reader

protected BufferedReader reader
The input reader.

## Constructor Details

### ScriptCommand

public ScriptCommand(SessionLocal session)

## Method Details

### isQuery

public boolean isQuery()
Description copied from class: `Prepared`
Check if this object is a query.

Overrides:
  `isQuery` in class `Prepared`
Returns:
  true if it is

### setSchemaNames

public void setSchemaNames(Set<String> schemaNames)

### setTables

public void setTables(Collection<Table> tables)

### setData

public void setData(boolean data)

### setPasswords

public void setPasswords(boolean passwords)

### setSettings

public void setSettings(boolean settings)

### setLobBlockSize

public void setLobBlockSize(long blockSize)

### setDrop

public void setDrop(boolean drop)

### queryMeta

public ResultInterface queryMeta()
Description copied from class: `Prepared`
Get an empty result set containing the metadata.

Specified by:
  `queryMeta` in class `Prepared`
Returns:
  the result set

### query

public ResultInterface query(long maxrows)
Description copied from class: `Prepared`
Execute the query.

Overrides:
  `query` in class `Prepared`
Parameters:
  `maxrows` - the maximum number of rows to return
Returns:
  the result set

### combineBlob

public static InputStream combineBlob(Connection conn, int id) throws SQLException
Combine a BLOB. This method is called from the script. When calling with id -1, the file is deleted.

Parameters:
  `conn` - a connection
  `id` - the lob id
Returns:
  a stream for the combined data
Throws:
  `SQLException` - on failure

### combineClob

public static Reader combineClob(Connection conn, int id) throws SQLException
Combine a CLOB. This method is called from the script.

Parameters:
  `conn` - a connection
  `id` - the lob id
Returns:
  a reader for the combined data
Throws:
  `SQLException` - on failure

### setSimple

public void setSimple(boolean simple)

### setWithColumns

public void setWithColumns(boolean withColumns)

### setVersion

public void setVersion(boolean version)

### setCharset

public void setCharset(Charset charset)

### getType

public int getType()
Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type

### setCipher

public void setCipher(String c)

### setPassword

public void setPassword(Expression password)

### setFileNameExpr

public void setFileNameExpr(Expression file)

### getFileName

protected String getFileName()

### isTransactional

public boolean isTransactional()
Description copied from class: `Prepared`
Check if this command is transactional. If it is not, then it forces the current transaction to commit.

Specified by:
  `isTransactional` in class `Prepared`
Returns:
  true if it is

### needRecompile

public boolean needRecompile()
Description copied from class: `Prepared`
Check if the statement needs to be re-compiled.

Overrides:
  `needRecompile` in class `Prepared`
Returns:
  true if it must

### setCompressionAlgorithm

public void setCompressionAlgorithm(String algorithm)